### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-checkbox/ecl-checkbox.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnChanges`

### Metadata

Selector | `[eclCheckbox]`

### Index

###### Properties

- eclCheckboxHelpComponent
- eclCheckboxLabelComponent
- eclFormLabelDirective
- eclHelpBlockDirective

###### Methods

- getCssClasses

###### Inputs

- isDisabled
- isInvalid
- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

isDisabled
Type : `boolean | any`
Default value : `false`

isInvalid
Type : `boolean | any`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclCheckboxHelpComponent
Type : `EclCheckboxHelpComponent`
Decorators : `@ContentChild(undefined)`

eclCheckboxLabelComponent
Type : `EclCheckboxLabelComponent`
Decorators : `@ContentChild(undefined)`

eclFormLabelDirective
Type : `EclFormLabelComponent`
Decorators : `@ContentChild(undefined)`

eclHelpBlockDirective
Type : `EclHelpBlockDirective`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""